use gcc 4.4.3 for the powerpc targets by default
authorImre Kaloz <kaloz@openwrt.org>
Tue, 16 Feb 2010 21:29:07 +0000 (21:29 +0000)
committerImre Kaloz <kaloz@openwrt.org>
Tue, 16 Feb 2010 21:29:07 +0000 (21:29 +0000)
SVN-Revision: 19671

toolchain/gcc/Config.in
toolchain/gcc/Config.version

index 9921466..18899c9 100644 (file)
@@ -4,8 +4,6 @@ choice
        prompt "GCC compiler Version" if TOOLCHAINOPTS
        default GCC_VERSION_3_4_6 if LINUX_2_4
        default GCC_VERSION_4_2_4 if avr32
-       default GCC_VERSION_4_2_4 if TARGET_ppc40x
-       default GCC_VERSION_4_2_4 if TARGET_ppc44x
        default GCC_VERSION_4_3_3 if powerpc64
        default GCC_VERSION_4_3_3 if TARGET_etrax
        default GCC_VERSION_4_3_3 if TARGET_coldfire
@@ -13,6 +11,7 @@ choice
        default GCC_VERSION_4_4_1 if TARGET_octeon
        default GCC_VERSION_4_3_3_CS if (mips || mipsel) && !TARGET_octeon
        default GCC_VERSION_4_3_3_CS if (arm || armeb) && !TARGET_gemini
+       default GCC_VERSION_4_4_3 if powerpc
        default GCC_VERSION_4_1_2
        help
          Select the version of gcc you wish to use.
index 38a3d91..583f190 100644 (file)
@@ -63,8 +63,6 @@ if !TOOLCHAINOPTS
 if !LINUX_2_4
        config GCC_VERSION_4_2_4
                default y if avr32
-               default y if TARGET_ppc40x
-               default y if TARGET_ppc44x
 
        config GCC_VERSION_4_3_3
                default y if powerpc64
@@ -78,5 +76,9 @@ if !LINUX_2_4
        config GCC_VERSION_4_4_1
                default y if ubicom32
                default y if TARGET_octeon
+
+       config GCC_VERSION_4_4_3
+               default y if powerpc
+
 endif
 endif